Mono.Simd 2.0.0.0 System.ValueType A vector with sixteen bytes. This represents a vector that contains 16 unsigned byte values.
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  2.0.0.0
  v0 component.
  v1 component.
  v2 component.
  v3 component.
  v4 component.
  v5 component.
  v6 component.
  v7 component.
  v8 component.
  v9 component.
  v10 component.
  v11 component.
  v12 component.
  v13 component.
  v14 component.
  v15 component.
  Creates a vector with sixteen byte values.
- Property
  2.0.0.0
  System.Byte `` The index of the component. Gets/Sets the component's value. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector16b `` Vector to operate on. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector16b `` Vector to operate on. To be added. To be added. To be added.
- Property
  2.0.0.0
  Mono.Simd.Vector16b To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector16b `` `` First vector. Second vector. Computes the sum of two vectors. A new vector. The vector returned is the sum of the individual components in the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector16b `` `` First vector. Second vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector16b `` `` First vector. Second vector. Computes the bitwise or of two vectors. A new vector. The vector returned contains the result of doing a bitwise or operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector16b `` `` First vector. Second vector. Computes the bitwise xor of two vectors. A new vector. The vector returned contains the result of doing a bitwise xor operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector16sb `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2d `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2l `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector2ul `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4i `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector4ui `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8s `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector8us `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector16b `` `` First vector. Second vector. Substracts the values from the second vector from the first. A new vector. The vector elements contain the substraction of the elements in the second vector from the elements in the first vector. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added.
- Method
  2.0.0.0
  System.String To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Byte The V0 component.
- Property
  2.0.0.0
  System.Byte The V1 component.
- Property
  2.0.0.0
  System.Byte The V10 component.
- Property
  2.0.0.0
  System.Byte The V11 component.
- Property
  2.0.0.0
  System.Byte The V12 component.
- Property
  2.0.0.0
  System.Byte The V13 component.
- Property
  2.0.0.0
  System.Byte The V14 component.
- Property
  2.0.0.0
  System.Byte The V15 component.
- Property
  2.0.0.0
  System.Byte The V2 component.
- Property
  2.0.0.0
  System.Byte The V3 component.
- Property
  2.0.0.0
  System.Byte The V4 component.
- Property
  2.0.0.0
  System.Byte The V5 component.
- Property
  2.0.0.0
  System.Byte The V6 component.
- Property
  2.0.0.0
  System.Byte The V7 component.
- Property
  2.0.0.0
  System.Byte The V8 component.
- Property
  2.0.0.0
  System.Byte The V9 component.
- Property
  2.0.0.0
  Mono.Simd.Vector16b To be added. To be added. To be added.